Bug 5418 (int-143006)

Summary: addr_va_lastname has a comma that it shouldn't have
Product: [Maemo Official Platform] Translations Reporter: timeless
Component: Español (España)Assignee: unassigned <nobody>
Status: CLOSED FIXED QA Contact: es-es-bugs
Severity: normal    
Priority: Low CC: andre_klapper
Version: 5.0/(1.2009.42-11)   
Target Milestone: 5.0/(2.2009.51-1)   
Hardware: All   
OS: Maemo   
Attachments: screenshot

Description timeless (reporter) 2009-10-13 23:10:28 UTC
SOFTWARE VERSION:
40-10

STEPS TO REPRODUCE THE PROBLEM:
1. change the device language to Español (España)
2. open contacts
3. tap the title area
4. tap options 
EXPECTED OUTCOME:

ACTUAL OUTCOME:
title [addr_fi_displayname] "Mostrar nombres"
option#1 [addr_va_firstname] "Nombre Apellido"
option#2 [addr_va_lastname_comma] "Apellido, Nombre"
option#3 [addr_va_lastname] "Apellido, Nombre"
option#4 [addr_va_nickname] "Apodo"

REPRODUCIBILITY:
always, but only in this locale

EXTRA SOFTWARE INSTALLED:
msgunfmt (used to dump /usr/share/locale/addressbook.mo)
Comment 1 timeless (reporter) 2009-10-13 23:30:23 UTC
Actually, let's try that again

SOFTWARE VERSION:
40-10

STEPS TO REPRODUCE THE PROBLEM:
1. change the device language to Español (España)
2. open contacts
3. tap the title area
4. tap options [addr_ti_settings2] "Ajustes"
5. tap the chooser thing [addr_fi_displayname] "Mostrar nombres"

EXPECTED OUTCOME:
roughly a translation of the following:
title {select display format}
option#1 "David Smith"
option#2 "Smith, David"
option#3 "Smith David"
option#4 "Dave"

ACTUAL OUTCOME:
title [addr_fi_displayname] "Mostrar nombres"
option#1 [addr_va_firstname] "Nombre Apellido"
option#2 [addr_va_lastname_comma] "Apellido, Nombre"
option#3 [addr_va_lastname] "Apellido, Nombre"
option#4 [addr_va_nickname] "Apodo"

Note that option#3 is the same as option#2

fwiw, I think that using 'Apellido' and 'Nombre' instead of 'Sanchez' and
'Javier'/'Javi' is a very bad idea.

REPRODUCIBILITY:
always, but only in this locale

EXTRA SOFTWARE INSTALLED:
msgunfmt (used to dump /usr/share/locale/es_ES/LC_MESSAGES/osso-addressbook.mo)
Comment 2 timeless (reporter) 2009-10-13 23:32:56 UTC
Created an attachment (id=1419) [details]
screenshot
Comment 3 Andre Klapper maemo.org 2009-10-14 19:16:06 UTC
Confirming.

To summarize:

EXPECTED OUTCOME:
The string "Last name First name" §addr_va_lastname§ is translated to
"Apellido Nombre"

ACTUAL OUTCOME:
The string "Last name First name" §addr_va_lastname§ is translated to
"Apellido, Nombre"
Comment 4 Andre Klapper maemo.org 2009-10-26 12:53:03 UTC
Fixed in internal week 44 build.
Any public update released with or after this build version (x.2009.44-y) will
include the fix.
Please verify that the new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.
Comment 5 timeless (reporter) 2010-01-14 11:27:44 UTC
verified fixed in 51-1